Skip to main content
GET
https://{tenantDomain}/api/v2
/
verifiable-credentials
/
verification
/
templates
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    verification "github.com/auth0/go-auth0/management/verifiablecredentials/verification"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.VerifiableCredentials.Verification.Templates.List(
        context.TODO(),
        &verification.ListVerifiableCredentialTemplatesRequestParameters{
            From: management.String(
                "from",
            ),
            Take: management.Int(
                1,
            ),
        },
    )
}
{
  "next": "<string>",
  "templates": [
    {
      "id": "vct_0000000000000001",
      "name": "<string>",
      "type": "mdl",
      "dialect": "simplified/1.0",
      "presentation": {
        "org.iso.18013.5.1.mDL": {
          "org.iso.18013.5.1": {
            "family_name": true,
            "given_name": true,
            "birth_date": true,
            "issue_date": true,
            "expiry_date": true,
            "issuing_country": true,
            "issuing_authority": true,
            "portrait": true,
            "driving_privileges": true,
            "resident_address": true,
            "portrait_capture_date": true,
            "age_in_years": true,
            "age_birth_year": true,
            "issuing_jurisdiction": true,
            "nationality": true,
            "resident_city": true,
            "resident_state": true,
            "resident_postal_code": true,
            "resident_country": true,
            "family_name_national_character": true,
            "given_name_national_character": true
          }
        }
      },
      "custom_certificate_authority": "<string>",
      "well_known_trusted_issuers": "<string>",
      "created_at": "2021-01-01T00:00:00Z",
      "updated_at": "2021-01-01T00:00:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100

Response

Templates successfully retrieved.

next
string | null

Opaque identifier for use with the from query parameter for the next page of results.
This identifier is valid for 24 hours.

templates
object[]